package info.aspirecn.iov.sjjh.supplier10000044.service;

import info.aspirecn.iov.sjjh.commons.lang.ChannelTypeHandleResponseObject;

import javax.servlet.http.HttpServletRequest;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/7/7 15:50
 * @version: V1.0
 **/
public interface ChannelService {
    /**
     * 二要素
     *
     * @param request
     * @param customBody
     * @param outTime
     * @return
     */
    ChannelTypeHandleResponseObject twoElementsCheck(HttpServletRequest request, String customBody, int outTime);

    /**
     * 人像
     *
     * @param request
     * @param customBody
     * @param outTime
     * @return
     */
    ChannelTypeHandleResponseObject photoIdentityCheck(HttpServletRequest request, String customBody, int outTime);

    /**
     * 二要素
     *
     * @param request
     * @param customBody
     * @param outTime
     * @return
     */
    ChannelTypeHandleResponseObject twoElementsCheckNew(HttpServletRequest request, String customBody, int outTime, String decodeType);

    /**
     * 人像-返回同中心人像
     *
     * @param request
     * @param customBody
     * @param outTime
     * @return
     */
    ChannelTypeHandleResponseObject photoIdentityCheckNew(HttpServletRequest request, String customBody, int outTime, String decodeType);

    /**
     * 身份证有效期
     * @param request
     * @param customBody
     * @param outTime
     * @param decodeType
     * @return
     */
    ChannelTypeHandleResponseObject idCardValidityCheck(HttpServletRequest request, String customBody, int outTime, String decodeType);

    String queryAccessToken(int outTime);
}
